opensaml-3.0.1

Classes | Namespaces | Macros | Functions
MetadataProvider.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <saml/base.h>`
`#include <vector>`
`#include <iostream>`
`#include <boost/ptr_container/ptr_vector.hpp>`
`#include <xmltooling/exceptions.h>`
`#include <xmltooling/security/CredentialResolver.h>`
Include dependency graph for MetadataProvider.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | opensaml::saml2md::MetadataProvider
| Supplies an individual source of metadata. More...
struct | opensaml::saml2md::MetadataProvider::Criteria
| Batches up criteria for entity lookup. More...
class | opensaml::saml2md::MetadataException
| Exceptions related to metadata use More...

## Namespaces
namespace | opensaml
| Common classes for OpenSAML library.

## Macros
#define | XML_METADATA_PROVIDER "XML"
| MetadataProvider based on local or remote XML file.
#define | DYNAMIC_METADATA_PROVIDER "Dynamic"
| MetadataProvider based on dynamic resolution from a URL.
#define | LOCAL_DYNAMIC_METADATA_PROVIDER "LocalDynamic"
| MetadataProvider based on dynamic resolution from a file system. More...
#define | MDQ_METADATA_PROVIDER "MDQ"
| MetadataProvider based on dynamic resolution from an MDQ server.
#define | CHAINING_METADATA_PROVIDER "Chaining"
| MetadataProvider that wraps a sequence of metadata providers.
#define | FOLDER_METADATA_PROVIDER "Folder"
| MetadataProvider that loads a directory of files.
#define | NULL_METADATA_PROVIDER "Null"
| MetadataProvider that returns an empty "dummy" entity descriptor.

## Functions
void | opensaml::saml2md::registerMetadataProviders ()
| Registers MetadataProvider classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Supplies an individual source of metadata.

## Macro Definition Documentation

## ◆ LOCAL_DYNAMIC_METADATA_PROVIDER

#define LOCAL_DYNAMIC_METADATA_PROVIDER "LocalDynamic"

MetadataProvider based on dynamic resolution from a file system.